# $Revision: 1.4 $, $Date: 2004/05/29 20:12:47 $
Summary:	CNF - C aNd Fortran mixed programming
Summary(pl):	CNF - mieszanie kodu w C i Fortranie
Name:		starlink-cnf
Version:	4.0_2.218
Release:	2
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.starlink.rl.ac.uk/pub/ussc/store/cnf/cnf.tar.Z
# Source0-md5:	193897823c84e043a85b0f0c24b51e82
URL:		http://www.starlink.rl.ac.uk/static_www/soft_further_CNF.html
BuildRequires:	sed >= 4.0
BuildRequires:	starlink-htx
Requires:	starlink-htx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		stardir		/usr/lib/star

%description
The CNF package comprises two sets of software which ease the task of
writing portable programs in a mixture of FORTRAN and C. F77 is a set
of C macros for handling the FORTRAN/C subroutine linkage in a
portable way, and CNF is a set of functions to handle the difference
between FORTRAN and C character strings, logical values and pointers
to dynamically allocated memory.

%description -l pl
Pakiet CNF czy dwa zbiory oprogramowania uatwiajcego zadanie
pisania przenonych programw z mieszanym kodem w Fortranie i C. F77
to zbir makr C do obsugi linkowania funkcji Fortran/C w sposb
przenony, a CNF to zbir funkcji do obsugi rnic midzy Fortranem i
C w tranktowaniu acuchw znakw, wartoci logicznych i wskanikw do
dynamicznie przydzielanej pamici.

%package devel
Summary:	Header files for CNF library
Summary(pl):	Pliki nagwkowe biblioteki CNF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for CNF library.

%description devel -l pl
Pliki nagwkowe biblioteki CNF.

%package static
Summary:	Static Starlink CNF library
Summary(pl):	Statyczna biblioteka Starlink CNF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Starlink CNF library.

%description static -l pl
Statyczna biblioteka Starlink CNF.

%prep
%setup -q -c

sed -i -e "s@ -O'@ %{rpmcflags} -fPIC'@;s@ ld -shared -soname @ %{__cc} -shared -Wl,-soname=@" mk

%build
%ifarch alpha amd64
# get version with 64-bit pointer type before mk unpacks 32-bit one
tar xf cnf_source.tar cnf_par_alpha_OSF1
mv -f cnf_par_alpha_OSF1 cnf_par
%endif

SYSTEM=ix86_Linux \
./mk build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{stardir}/help

SYSTEM=ix86_Linux \
./mk install \
	STARLINK=%{stardir} \
	INSTALL=$RPM_BUILD_ROOT%{stardir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc cnf.news
%{stardir}/dates/*
%docdir %{stardir}/docs
%{stardir}/docs/sun*
%attr(755,root,root) %{stardir}/share/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{stardir}/bin/cnf_dev
%attr(755,root,root) %{stardir}/bin/cnf_link*
%{stardir}/include/*

%files static
%defattr(644,root,root,755)
%{stardir}/lib/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: starlink-cnf.spec,v $
Revision 1.4  2004/05/29 20:12:47  qboosh
- use proper pointer type on amd64; allow /s in __cc, strict deps, release 2

Revision 1.3  2003/11/02 21:14:49  ankry
- restore Source0 URL

Revision 1.2  2003/11/02 21:09:14  ankry
- use dropin to fetch sources

Revision 1.1  2003/11/02 01:01:25  qboosh
- new
